package cz.moneta.test.dsl.mobile.smartbanking.landing;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum SmartBankingLoginKeyboard implements DynamicPathPart {
    KEY_1("key_1", "1"),
    KEY_2("key_2", "2"),
    KEY_3("key_3", "3"),
    KEY_4("key_4", "4"),
    KEY_5("key_5", "5"),
    KEY_6("key_6", "6"),
    KEY_7("key_7", "7"),
    KEY_8("key_8", "8"),
    KEY_9("key_9", "9");

    private final String androidKey;

    private final String iosKey;

    SmartBankingLoginKeyboard(String androidKey, String iosKey) {
        this.androidKey = androidKey;
        this.iosKey = iosKey;
    }

    @Override
    public String getValue() {
        return iosKey;
    }

    public String getAndroidValue() {
        return androidKey;
    }
}
